This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 54990 - up2date 2.5.4-1 not handling all lilo.conf params
up2date 2.5.4-1 not handling all lilo.conf params
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-23 19:49 EDT by Joergen Thomsen
Modified: 2015-01-07 18:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 15:20:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joergen Thomsen 2001-10-23 19:49:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
up2date is not supporting all lilo.conf keywords and is not handling the 
situation gracefully.

Version-Release number of selected component (if applicable):
2.5.4-1

How reproducible:
Didn't try

Steps to Reproduce:
1. running the GUI up2date and selecting kernel update 
2.
3.
	

Actual Results:  up2date stalled, not completing, after complaining about 
unsupported lilo.conf parameters

Expected Results:  lilo.conf updated and up2date terminated

Additional info:

Traceback (innermost last):
  File "/usr/share/rhn/up2date/gui.py", line 600, in doInstallation
    up2date.installBootLoader(kernelsToInstall)
  File "/usr/share/rhn/up2date/up2date.py", line 2222, in installBootLoader
    ret = lilocfg.installNewImages(kernelList,test=0)
  File "/usr/share/rhn/up2date/lilocfg.py", line 266, in installNewImages
    raise LiloConfParseError("\n" + "%s" % config.unsupported)
lilocfg.LiloConfParseError: lilo options that are not supported by up2date 
are used in the default lilo.conf. This file will not be modified. The 
options include:

['disk=/dev/sda', 'bios=0x80', 'disk=/dev/hda', 'bios=0x81']
Comment 1 Adrian Likins 2001-10-23 19:56:07 EDT
The next version of the up2date client does include support for
these paramaters.
Comment 2 David M. Cook 2001-11-06 15:20:29 EST
Verified.
Comment 3 David M. Cook 2002-02-22 12:27:38 EST
Fix: http://www.redhat.com/support/errata/RHBA-2001-119.html

Note You need to log in before you can comment on or make changes to this bug.